<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.TeamMapper">

    <select id="page" resultType="com.yd.csf.feign.response.team.ApiTeamPageResponse">
        select t.* from team t
        <where>
            <if test="request.teamName != null and request.teamName != ''">
                and t.team_name like concat('%', #{request.teamName}, '%')
            </if>
            and t.is_deleted = 0
        </where>
    </select>
</mapper>
